## libimage-base-bundle-perl 1.0.7

=== debian/changelog ===
libimage-base-bundle-perl (1.0.7-3.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to 3.0 source format. (Closes: #1007648)

 -- Bastian Germann <bage@debian.org>  Fri, 02 Dec 2022 23:27:13 +0100

libimage-base-bundle-perl (1.0.7-3.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "missing required debian/rules targets build-arch and/or build-
    indep": add targets in debian/rules.
    (Closes: #999041)

 -- gregor herrmann <gregoa@debian.org>  Wed, 15 Dec 2021 17:17:12 +0100

libimage-base-bundle-perl (1.0.7-3.3) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 17:01:34 +0100

libimage-base-bundle-perl (1.0.7-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "Removal of debhelper compat 4": use debhelper compat level 9.
    (Closes: #817529)

 -- gregor herrmann <gregoa@debian.org>  Tue, 28 Jun 2016 15:28:29 +0200

libimage-base-bundle-perl (1.0.7-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with perl 5.22 in experimental (MakeMaker changes)":
    use DESTDIR instead of PREFIX in debian/rules.
    (Closes: #793533)

 -- gregor herrmann <gregoa@debian.org>  Wed, 26 Aug 2015 17:21:54 +0200

libimage-base-bundle-perl (1.0.7-3) unstable; urgency=low

  * Add missing binary-arch target (closes: #395653)
  * Update standards version

 -- Don Armstrong <don@debian.org>  Fri, 15 Aug 2008 16:01:00 -0700

libimage-base-bundle-perl (1.0.7-2) unstable; urgency=low

  * FEAR MY debian/rules
    - Added patch support to this ungainly beast
  * Fix new(-file=>*GLOB) in Image::Xpm [upstream #7438]
  * Fix new(-file=>*GLOB) in Image::Xbm [upstream #7439]

 -- Don Armstrong <don@donarmstrong.com>  Wed,  6 Oct 2004 23:42:53 -0700

libimage-base-bundle-perl (1.0.7-1) unstable; urgency=low

  * Initial debian release (closes: #275133)

 -- Don Armstrong <don@donarmstrong.com>  Tue,  5 Oct 2004 22:48:10 -0700
