=== debian/control ===
Source: libimage-base-bundle-perl
Section: perl
Priority: optional
Standards-Version: 3.8.0
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: perl (>= 5.6.0-16)
Maintainer: Don Armstrong <don@debian.org>

Package: libimage-base-bundle-perl
Section: perl
Priority: optional
Homepage: http://search.cpan.org/~summer/
Architecture: all
Depends: ${perl:Depends}
Provides: libimage-base-perl, libimage-xpm-perl, libimage-xbm-perl
Description: set of modules for loading, saving and creating xpm and xbm images
 A set of perl modules for loading, saving, and creating xpm and xbm
 images. Contains the following modules:
 .
  Image::Base
  Image::Xpm
  Image::Xbm
 .
 Requred by Image::Info to parse xpm and xbm files.
