## libimage-base-bundle-perl 2+~1.17+~1.13+~1.11

=== debian/changelog ===
libimage-base-bundle-perl (2+~1.17+~1.13+~1.11-1) unstable; urgency=medium

  * Team upload.

  [ наб ]
  * d/watch, d/gbp.conf: add config with empty top-level tarball + components:
    + https://metacpan.org/release/Image-Base
    + https://metacpan.org/release/Image-Xpm
    + https://metacpan.org/release/Image-Xbm
  * New upstream version 2+~1.17+~1.13+~1.11 (Closes: #662655, #586052)
  * d/control: indicate libimage-{base,xpm,xbm}-perl versions in Provides
  * debhelper-compat: 9 -> 13
  * Standards-Version: 3.8.0 -> 4.7.0
  * d/rules: NFC cleanup
  * Refresh patches:
    + d/p/Image-Xpm/01_fix_GLOB_open.diff: dropped, applied upstream
    + d/p/Image-Xbm/01_fix_GLOB_open.diff: dropped, applied upstream
      (forwarded to https://github.com/eserte/Image-Xbm/pull/2)
  * Use quilt patching instead of manual patching in d/rules
  * d/rules: fixup for new upstream layout
  * d/gbp.conf: need components stanza for [buildpackage] too
  * d/control: Depends: ${misc:Depends} (debhelper-but-no-misc-depends)
  * d/control: Homepage: http://search.cpan.org/~summer/
                      -> https://metacpan.org/author/KRYDE
               matches new vendor (obsolete-url-in-packaging)
  * d/control: drop versioned perl dependency unneeded since woody
  * d/control: move Homepage: to source section
  * Rules-Requires-Root: no
  * d/copyright: fix. DEP-5
  * d/control: let Section: and Priority: be inherited from source section

  [ Clayton Casciato ]
  * d/control: Requ[i]red typo fix

  [ Andreas Tille ]
  * Maintain package in Debian Perl Group
    Closes: #1087202

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 11 Nov 2024 06:07:26 +0100
