=== debian/control ===
Source: libimage-base-bundle-perl
Section: perl
Priority: optional
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Don Armstrong <don@debian.org>
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libimage-base-bundle-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libimage-base-bundle-perl.git
Homepage: https://metacpan.org/author/KRYDE
Rules-Requires-Root: no

Package: libimage-base-bundle-perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Provides: libimage-base-perl (= 1.17), libimage-xpm-perl (= 1.13), libimage-xbm-perl (= 1.10)
Description: set of modules for loading, saving and creating xpm and xbm images
 A set of perl modules for loading, saving, and creating xpm and xbm
 images. Contains the following modules:
 .
  Image::Base
  Image::Xpm
  Image::Xbm
 .
 Required by Image::Info to parse xpm and xbm files.
