=== debian/watch ===
version=4
opts=versionmangle=s/.*/2/	https://lfs.nabijaczleweli.xyz	(empty).tar.gz	group
opts=component=Image-Base	https://metacpan.org/release/Image-Base	.*/Image-Base-v?@ANY_VERSION@@ARCHIVE_EXT@$	group
opts=component=Image-Xpm	https://metacpan.org/release/Image-Xpm	.*/Image-Xpm-v?@ANY_VERSION@@ARCHIVE_EXT@$	group
opts=component=Image-Xbm	https://metacpan.org/release/Image-Xbm	.*/Image-Xbm-v?@ANY_VERSION@@ARCHIVE_EXT@$	group
